Package org.eclipse.ui.commands

## Class NotHandledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.ui.commands.CommandException
      - - org.eclipse.ui.commands.NotHandledException

All Implemented Interfaces:
  `Serializable`

    @Deprecated
    public final class NotHandledException
    extends CommandException

Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead.
Signals that an attempt was made to access the properties of an unhandled object.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `NotHandledException`, Serialized Form

### Constructor Summary

Constructors
`NotHandledException​(String s)` Deprecated.
`NotHandledException​(NotHandledException e)` Deprecated.

### Method Summary

### Methods inherited from class org.eclipse.ui.commands.CommandException

`getCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotHandledException

    @Deprecated
    public NotHandledException​(String s)

Deprecated.
Creates a new instance of this class with the specified detail message.

Parameters:
  `s` - the detail message.

#### NotHandledException

    @Deprecated
    public NotHandledException​(NotHandledException e)

Deprecated.
Constructs a legacy `NotHandledException` based on the new `NotHandledException`

Parameters:
  `e` - The exception from which this exception should be created; must not be `null`.
Since:
  3.1